<?php if(!$desactivaTeclado) { ?>

<?php

$filaTecladoMultilinea_1_1=array('1','2','3','4','5','6','7','8','9','0');
$filaTecladoMultilinea_1_2=array('Q','W','E','R','T','Y','U','I','O','P','/');
$filaTecladoMultilinea_1_3=array('A','S','D','F','G','H','J','K','L','Ñ','salto.jpg');
$filaTecladoMultilinea_1_4=array('Z','X','C','V','B','N','M','.','-');

$filaTecladoMultilinea_2_1=array('','@','#','$','%','&','(',')','=','+');
$filaTecladoMultilinea_2_2=array('¿','?','€','¡','!','','Ø','','-','*','/');
$filaTecladoMultilinea_2_3=array('@','','','','','','','','','Ç');
$filaTecladoMultilinea_2_4=array('','','[',']','^',':',';',',','_');

?>
<div id="tecladoMultilinea" class="popup teclado" style="display:none;z-index:30000">
	<div class="popupContenidoSimple anchoTeclado">
    	<table class="teclado">
          <tr>
            <td colspan="2" align="center"> 
            	<textarea name="valorTecladoMultilinea" id="valorTecladoMultilinea" rows="3" class="campo campoTeclado" style="text-align:left" readonly></textarea>
            </td>
          </tr>
          <tr>
            <td colspan="2" align="center">
            	<table border="0" cellpadding="0" cellspacing="0"><tr>
				<?php
				$contador=0;
                foreach($filaTecladoMultilinea_1_1 as $item) {
					?><td><input type="submit" name="filaTecladoMultilinea_1_caracter_<?php echo $contador; ?>" id="filaTecladoMultilinea_1_caracter_<?php echo $contador; ?>" value="<?php echo $item; ?>" class="botonTeclado botonTecladoMultilinea"/></td><?php
					$contador++;
                }
				?>
                <td><input type="submit" name="borrarTecladoMultilinea" id="borrarTecladoMultilinea" value="&lt;" class="botonTeclado botonTecladoMultilinea"/></td>
                </tr></table>
          </tr>
           <tr>
            <td colspan="2" align="center">
            	<table border="0" cellpadding="0" cellspacing="0"><tr>
				<?php
				$contador=0;
                foreach($filaTecladoMultilinea_1_2 as $item) {
					?><td><input type="submit" name="filaTecladoMultilinea_2_caracter_<?php echo $contador; ?>" id="filaTecladoMultilinea_2_caracter_<?php echo $contador; ?>" value="<?php echo $item; ?>" class="botonTeclado botonTecladoMultilinea"/></td><?php
                    $contador++;
				}
				?>
                </tr></table>
             </td>
          </tr>
          <tr>
            <td align="center">
            	<table border="0" cellpadding="0" cellspacing="0"><tr>
				<?php
				$contador=0;
                foreach($filaTecladoMultilinea_1_3 as $item) {
					if( strpos($item,'.jpg')!==false || strpos($item,'.png')!==false ) {
						?><td><input type="image" name="filaTecladoMultilinea_3_caracter_<?php echo $contador; ?>" id="filaTecladoMultilinea_3_caracter_<?php echo $contador; ?>" src="<?php echo DIR_IMAGENES; ?>/teclado/<?php echo $item; ?>" class="botonTeclado botonTecladoMultilinea"/></td><?php
					}
					else {
						?><td><input type="submit" name="filaTecladoMultilinea_3_caracter_<?php echo $contador; ?>" id="filaTecladoMultilinea_3_caracter_<?php echo $contador; ?>" value="<?php echo $item; ?>" class="botonTeclado botonTecladoMultilinea"/></td><?php
					}
                    $contador++;
				}
				?>
                </tr></table>
              </td>
            <td rowspan="2" align="center"><input type="submit" name="enterTecladoMultilinea" id="enterTecladoMultilinea" value="OK" campovalor="" oculto="" formulario="" cambioFoco="" class="botonTeclado botonTecladoEnter botonTecladoMultilinea"/></td>
          </tr>
          <tr>
            <td align="center">
            	<table border="0" cellpadding="0" cellspacing="0"><tr>
            	<td><input type="submit" name="bloqTecladoMultilinea" id="bloqTecladoMultilinea" value="Bloq.Min" class="botonTeclado botonTecladoBloq botonTecladoMultilinea"/></td>
       	    	<?php
				
				$contador=0;
                foreach($filaTecladoMultilinea_1_4 as $item) {
					?><td><input type="submit" name="filaTecladoMultilinea_4_caracter_<?php echo $contador; ?>" id="filaTecladoMultilinea_4_caracter_<?php echo $contador; ?>" value="<?php echo $item; ?>" class="botonTeclado botonTecladoMultilinea"/></td><?php
					$contador++;
                }
				?>
                </tr></table>
             </td>
          </tr>
          <tr>
            <td colspan="2" align="center">
            	<input type="submit" name="symbolsTecladoMultilinea" id="symbolsTecladoMultilinea" value="Symbols" class="botonTeclado botonTecladoSymbols botonTecladoMultilinea"/>
            	<input type="submit" name="espacioTecladoMultilinea" id="espacioTecladoMultilinea" value=" " class="botonTeclado botonTecladoEspacio botonTecladoMultilinea"/>
            </td>
          </tr>
        </table>
  </div>
</div>
<script>

$(document).ready(function() {

	var filaTecladoMultilinea_1_1=Array(<?php foreach($filaTecladoMultilinea_1_1 as $item) { echo "'".$item."',"; } ?>);
	var filaTecladoMultilinea_1_2=Array(<?php foreach($filaTecladoMultilinea_1_2 as $item) { echo "'".$item."',"; } ?>);
	var filaTecladoMultilinea_1_3=Array(<?php foreach($filaTecladoMultilinea_1_3 as $item) { echo "'".$item."',"; } ?>);
	var filaTecladoMultilinea_1_4=Array(<?php foreach($filaTecladoMultilinea_1_4 as $item) { echo "'".$item."',"; } ?>);
	
	var filaTecladoMultilinea_2_1=Array(<?php foreach($filaTecladoMultilinea_2_1 as $item) { echo "'".$item."',"; } ?>);
	var filaTecladoMultilinea_2_2=Array(<?php foreach($filaTecladoMultilinea_2_2 as $item) { echo "'".$item."',"; } ?>);
	var filaTecladoMultilinea_2_3=Array(<?php foreach($filaTecladoMultilinea_2_3 as $item) { echo "'".$item."',"; } ?>);
	var filaTecladoMultilinea_2_4=Array(<?php foreach($filaTecladoMultilinea_2_4 as $item) { echo "'".$item."',"; } ?>);
	
	var symbols=false;

	$('.botonTecladoMultilinea').on("click",function(e){
	
		e.preventDefault();
		
		var actual=$('#valorTecladoMultilinea').val();
		
		var posicionCursorInicio = $('#valorTecladoMultilinea')[0].selectionStart;
		var posicionCursorFin = $('#valorTecladoMultilinea')[0].selectionEnd;

		var pulsado=$(this).val();

		//Por si el botón fuera una imagen
		if( $(this).attr('src') ) {
			var valores=$(this).attr('src').split('/');
			var imagen=valores[ valores.length - 1];
			if(imagen='salto.jpg') {
				pulsado='\n';
			}
		}
		//
		
		

		
		
		
		if( pulsado=='<')	{
		
			if( posicionCursorInicio==posicionCursorFin ) {
				$('#valorTecladoMultilinea').val( actual.substring(0,posicionCursorInicio-1) + actual.substring(posicionCursorFin,actual.length) );
				$('#valorTecladoMultilinea').focus();
				if(posicionCursorInicio>0) $('#valorTecladoMultilinea')[0].setSelectionRange(posicionCursorInicio-1,posicionCursorInicio-1);
				else $('#valorTecladoMultilinea')[0].setSelectionRange(0,0);
			}
			else {
				$('#valorTecladoMultilinea').val( actual.substring(0,posicionCursorInicio) + actual.substring(posicionCursorFin,actual.length) );
				$('#valorTecladoMultilinea').focus();
				if(posicionCursorInicio>0) $('#valorTecladoMultilinea')[0].setSelectionRange(posicionCursorInicio,posicionCursorInicio);
				else $('#valorTecladoMultilinea')[0].setSelectionRange(0,0);
			}
			
			
		}
		else if( pulsado=='Bloq.Min') {
			$('.botonTecladoMultilinea').each(function(){
				if( $(this).val()!='Bloq.Min' && $(this).val()!='<' && $(this).val()!='OK' && $(this).val()!='Symbols' ) $(this).val( $(this).val().toLowerCase() );
			});
			$(this).val('Bloq.May');
		}
		else if( pulsado=='Bloq.May') {
			$('.botonTecladoMultilinea').each(function(){
				if( $(this).val()!='Bloq.May' && $(this).val()!='<' && $(this).val()!='OK' && $(this).val()!='Symbols' ) $(this).val( $(this).val().toUpperCase() );
			});
			$(this).val('Bloq.Min');
		}
		else if( pulsado=='Symbols') {
		
			if(symbols) {
		
				var contador=0;
				filaTecladoMultilinea_1_1.forEach(function(valor){
					$('#filaTecladoMultilinea_1_caracter_'+contador).val( filaTecladoMultilinea_1_1[contador] );
					contador++;
				});
				
				var contador=0;
				filaTecladoMultilinea_1_2.forEach(function(valor){
					$('#filaTecladoMultilinea_2_caracter_'+contador).val( filaTecladoMultilinea_1_2[contador] );
					contador++;
				});
				
				var contador=0;
				filaTecladoMultilinea_1_3.forEach(function(valor){
					$('#filaTecladoMultilinea_3_caracter_'+contador).val( filaTecladoMultilinea_1_3[contador] );
					contador++;
				});
				
				var contador=0;
				filaTecladoMultilinea_1_4.forEach(function(valor){
					$('#filaTecladoMultilinea_4_caracter_'+contador).val( filaTecladoMultilinea_1_4[contador] );
					contador++;
				});
				
				symbols=false;
				$('#bloq').val('Bloq.Min');
			
			}
			else {
			
				var contador=0;
				filaTecladoMultilinea_1_1.forEach(function(valor){
					$('#filaTecladoMultilinea_1_caracter_'+contador).val( filaTecladoMultilinea_2_1[contador] );
					contador++;
				});
				
				var contador=0;
				filaTecladoMultilinea_1_2.forEach(function(valor){
					$('#filaTecladoMultilinea_2_caracter_'+contador).val( filaTecladoMultilinea_2_2[contador] );
					contador++;
				});
				
				var contador=0;
				filaTecladoMultilinea_1_3.forEach(function(valor){
					$('#filaTecladoMultilinea_3_caracter_'+contador).val( filaTecladoMultilinea_2_3[contador] );
					contador++;
				});
				
				var contador=0;
				filaTecladoMultilinea_1_4.forEach(function(valor){
					$('#filaTecladoMultilinea_4_caracter_'+contador).val( filaTecladoMultilinea_2_4[contador] );
					contador++;
				});
				
				symbols=true;
			
			}
		
		}
		else if( pulsado=='OK' ) {
		
			campo=$(this).attr('campoValor');

			$('#'+campo).val( $('#valorTecladoMultilinea').val() );
			$('#'+campo).focus();
			$('#tecladoMultilinea').hide();
			
			if( $(this).attr('cambioFoco')!='' ) {
				$('#'+campo).trigger("change");
			}
			
			if( $(this).attr('forzarEnter')=='si' ) {
				$('#'+campo).trigger("change");
			}
			
			formulario=$(this).attr('formulario');
			if(formulario!='') $('#'+formulario).submit();
		}
		else {
			
			$('#valorTecladoMultilinea').val( actual.substring(0,posicionCursorInicio) + pulsado + actual.substring(posicionCursorFin,actual.length) );
			
			$('#valorTecladoMultilinea').focus();
			$('#valorTecladoMultilinea')[0].setSelectionRange(posicionCursorInicio+1,posicionCursorInicio+1);
		}		
		
		
		
	});
});
</script>

<?php } ?>